Skip to content

# HTTP

### Structure

    {
      "type": "http",
      "tag": "http-in",

      ... // Listen Fields

      "users": [
        {
          "username": "admin",
          "password": "admin"
        }
      ],
      "tls": {},
      "set_system_proxy": false
    }

### Listen Fields

See Listen Fields for details.

### Fields

#### tls

TLS configuration, see TLS.

#### users

HTTP users.

No authentication required if empty.

#### set_system_proxy

Only supported on Linux, Android, Windows, and macOS.

To work on Android and Apple platforms without privileges, use tun.platform.http_proxy instead.

Automatically set system proxy configuration when start and clean up when stop.